phing-tasks-ext

# Class: JslLintTask Source Location: /tasks/ext/JslLintTask.php
### Class Overview
    ProjectComponent
       |
       --Task
          |
          --JslLintTask
A Javascript lint task. Checks syntax of Javascript files. #### Author(s): Stefan Priebsch <stefan.priebsch@e-novative.de> #### Version: $Id: JslLintTask.php 543 2009-08-26 15:42:07Z mrook $ #### Copyright: � 2001,2002 THYRELL. All rights reserved | ### Variables $file $filesets $haltOnFailure $hasErrors $showWarnings | ### Methods createFileSet lint main setCacheFile setFile setHaltOnFailure setShowWarnings
### Inherited Variables #### Class: Task Task::$description Task::$location Task::$target Task::$taskName Task::$taskType Task::$wrapper #### Class: ProjectComponent ProjectComponent::$project | ### Inherited Methods #### Class: Task Task::getDescription() Returns the textual description of the task Task::getLocation() Returns the location within the buildfile this task occurs. Used by BuildException to give detailed error messages. Task::getOwningTarget() Returns the owning target of this task. Task::getRegisterSlot() Returns a name Task::getRuntimeConfigurableWrapper() Returns the wrapper object for runtime configuration Task::getTaskName() Returns the name of task, used only for log messages Task::getTaskType() Returns the name of the task under which it was invoked, usually the XML tagname Task::init() Called by the parser to let the task initialize properly. Task::log() Provides a project level log event to the task. Task::main() Called by the project to let the task do it's work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running <em>phing target1 target2</em> will run all tasks in target3 twice. Task::maybeConfigure() Configure this task if it hasn't been done already. Task::perform() Perfrom this task Task::setDescription() Sets a textual description of the task Task::setLocation() Sets the location within the buildfile this task occurs. Called by the parser to set location information. Task::setOwningTarget() Sets the owning target this task belongs to. Task::setRuntimeConfigurableWrapper() Sets the wrapper object this task should use for runtime configurable elements. Task::setTaskName() Sets the name of this task for log messages Task::setTaskType() Sets the type of the task. Usually this is the name of the XML tag #### Class: ProjectComponent ProjectComponent::getProject() Returns a reference to current project ProjectComponent::log() Logs a message with the given priority. ProjectComponent::setProject() References the project to the current component.
### Class Details [line 34] A Javascript lint task. Checks syntax of Javascript files. Javascript lint (http://www.javascriptlint.com) must be in the system path. This class is based on Knut Urdalen's PhpLintTask. #### Tags:
author: | Stefan Priebsch <stefan.priebsch@e-novative.de>
version: | $Id: JslLintTask.php 543 2009-08-26 15:42:07Z mrook $
copyright: | � 2001,2002 THYRELL. All rights reserved
[ Top ] ### Class Variables #### $file = [line 36] #### Tags:
access: | protected
Type: | mixed
[ Top ] #### $filesets = array() [line 37] #### Tags:
access: | protected
Type: | mixed
[ Top ] #### $haltOnFailure = false [line 40] #### Tags:
access: | protected
Type: | mixed
[ Top ] #### $hasErrors = false [line 41] #### Tags:
access: | protected
Type: | mixed
[ Top ] #### $showWarnings = true [line 39] #### Tags:
access: | protected
Type: | mixed
[ Top ] ### Class Methods ### method createFileSet [line 85]
`FileSet createFileSet( )`
Nested creator, creates a FileSet for this task #### Tags:
return: | The created fileset object
[ Top ] ### method lint [line 124]
`void lint( string $file)`
Performs the actual syntax check #### Tags:
access: | protected
#### Parameters:
string | $file |
[ Top ] ### method main [line 93]
`void main( )`
Execute lint check against PhingFile or a FileSet #### Tags:
access: | public
Overrides Task::main() (Called by the project to let the task do it's work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running <em>phing target1 target2</em> will run all tasks in target3 twice.) [ Top ] ### method setCacheFile [line 75]
`void setCacheFile( $file)`
Whether to store last-modified times in cache #### Tags:
access: | public
#### Parameters:
PhingFile | $file |
[ Top ] ### method setFile [line 66]
`void setFile( $file)`
File to be performed syntax check on #### Tags:
access: | public
#### Parameters:
PhingFile | $file |
[ Top ] ### method setHaltOnFailure [line 58]
`void setHaltOnFailure( boolean $aValue)`
The haltonfailure property #### Tags:
access: | public
#### Parameters:
boolean | $aValue |
[ Top ] ### method setShowWarnings [line 50]
`void setShowWarnings( boolean $show)`
Sets the flag if warnings should be shown #### Tags:
access: | public
#### Parameters:
boolean | $show |
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:51:10 +0200 by phpDocumentor 1.4.3